CPG_FINALIZE(3)

NAME
cpg_finalize - Terminate a connection to the CPG service

SYNOPSIS
#include <corosync/cpg.h>

int cpg_finalize(cpg_handle_t handle);

DESCRIPTION
The cpg_finalize function is used to close a connection to the closed process group API. Once the connection is finalized, the handle may not be used again by applications. No more callbacks will be dispatched from the cpg_dispatch function.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)